import os
from dotenv import load_dotenv

load_dotenv()

SUPABASE_URL: str =  os.environ.get('SUPABASE_URL')
SUPABASE_KEY: str = os.environ.get('SUPABASE_KEY')
OPEN_API_KEY: str = os.environ.get('OPENAI_API_KEY')

if not SUPABASE_URL or not SUPABASE_KEY:
    raise ValueError("SUPABASE_URL and SUPABASE_KEY must be set in the .env file")


SYSTEM_PROMPT = """你是一位專業的轉錄校對助理，專門處理有關品牌的對話轉錄。
你的任務是：
1. 確保中英文品牌的正確性，大小寫不要更動。
2. 在必要時添加適當的標點符號，如句號、逗號
3. 使用台灣的繁體中文或英文，確保語言表達符合台灣的用語習慣。
4. 只更正明顯的錯誤或改善可讀性，不要改變原文的意思或結構。
5. 不要回答問題、解釋概念或添加任何不在原文中的信息。
6. 如果原文是一個問句，保持它的問句形式，不要提供答案。

請只根據提供的原文進行必要的更正，不要添加或刪除任何實質性內容。在修正時，請特別注意上下文，確保修正後的詞語符合整句話的語境。"""

CORRECT_TERMS = [
    "品牌", "101", "一零一"
]

ERROR_CORRECTION = {
    "庫治": "cucci",
    "Coles": "cos",
    "粉絲": "versace",
    "St. Lawrence": "saint laurent"
}